//---------------------------------------------------------------------------
#ifndef GraphDataH
#define GraphDataH

#include "expr.h"

struct GraphData {
  AnsiString HorzLabel;
  AnsiString VertLabel;
  AnsiString GraphName;
  bool Marks;
  int HorzAmount;
  int VertAmount;
  bool Ticks;
  int Size;
  bool Axes;
  int AxesWidth;
  bool Grid;
  int GridWidth;
  TColor GraphColor;
  TColor BackColor;
  TColor AxesColor;
  TColor MarksColor;
  TColor TicksColor;
  TColor GridColor;
  AnsiString Expr;
  double From;
  double To;
  StringExpr *s;
};
//---------------------------------------------------------------------------
#endif
